#!/bin/bash
 
#ldapauth component sanity check

function zipit() {
	:
}

#~ Include general library (should go in all sanity scripts.)
if [ ! -f /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh ];then
    echo "Sanity Checks Component not installed"
    exit 1
else 
    . /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh
fi

do_these_files_exist $COMPONENTS/ldapauth/ldapauth.inc.php \
	$COMPONENTS/ldapauth/install.sh 

is_component $COMPONENTS/ldapauth/ldapauth.inc.php 

are_these_packages_installed php-ldap

print_results
