#!/bin/bash

#ssh-expect configwizard sanity check

function zipit() {
	:
}

#~ Include general library (should go in all sanity scripts.)
if [ ! -f /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh ];then
    echo "Sanity Checks Component not installed"
    exit 1
else 
    . /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh
fi

do_these_files_exist $WIZARDS/ssh-expect/ssh-expect.inc.php $LIBEXEC/check_ssh_expect.pl

is_wizard $WIZARDS/ssh-expect/ssh-expect.inc.php

can_nagios_execute  $LIBEXEC/check_ssh_expect.pl

can_apache_execute  $LIBEXEC/check_ssh_expect.pl

are_these_packages_installed rpmdevtools perl-Test-Simple perl perl-Expect 

templates_exist xiwizard_generic_service xiwizard_generic_host 

commands_exist check_ssh_expect

print_results
